\begin{latin}
	\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
	%uncomment if require: \path (0,478); %set diagram left start at 0, and has height of 478
	
	%Shape: Circle [id:dp8018219059521354] 
	\draw   (420,100) .. controls (420,94.48) and (424.48,90) .. (430,90) .. controls (435.52,90) and (440,94.48) .. (440,100) .. controls (440,105.52) and (435.52,110) .. (430,110) .. controls (424.48,110) and (420,105.52) .. (420,100) -- cycle ;
	%Straight Lines [id:da3380491853478078] 
	\draw    (430,110) -- (430,140) ;
	
	
	%Straight Lines [id:da2676536065589834] 
	\draw    (430,120) -- (460,130) ;
	
	
	%Straight Lines [id:da7368849399592072] 
	\draw    (400,130) -- (430,120) ;
	
	
	%Straight Lines [id:da7017222358242914] 
	\draw    (430,140) -- (450,170) ;
	
	
	%Straight Lines [id:da3916437625393627] 
	\draw    (430,140) -- (410,170) ;
	
	
	%Straight Lines [id:da12829431247571188] 
	\draw    (390,110) -- (212,110) ;
	\draw [shift={(210,110)}, rotate = 360] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;
	
	%Rounded Rect [id:dp018402897182697275] 
	\draw   (80,98) .. controls (80,88.06) and (88.06,80) .. (98,80) -- (192,80) .. controls (201.94,80) and (210,88.06) .. (210,98) -- (210,152) .. controls (210,161.94) and (201.94,170) .. (192,170) -- (98,170) .. controls (88.06,170) and (80,161.94) .. (80,152) -- cycle ;
	%Straight Lines [id:da2150805390364634] 
	\draw    (210,150) -- (388,150) ;
	\draw [shift={(390,150)}, rotate = 180] [color={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]    (10.93,-3.29) .. controls (6.95,-1.4) and (3.31,-0.3) .. (0,0) .. controls (3.31,0.3) and (6.95,1.4) .. (10.93,3.29)   ;
	
	%Rounded Rect [id:dp08009625300119683] 
	\draw   (30,284) .. controls (30,276.27) and (36.27,270) .. (44,270) -- (126,270) .. controls (133.73,270) and (140,276.27) .. (140,284) -- (140,326) .. controls (140,333.73) and (133.73,340) .. (126,340) -- (44,340) .. controls (36.27,340) and (30,333.73) .. (30,326) -- cycle ;
	
	%Rounded Rect [id:dp639879027792934] 
	\draw   (160,284) .. controls (160,276.27) and (166.27,270) .. (174,270) -- (256,270) .. controls (263.73,270) and (270,276.27) .. (270,284) -- (270,326) .. controls (270,333.73) and (263.73,340) .. (256,340) -- (174,340) .. controls (166.27,340) and (160,333.73) .. (160,326) -- cycle ;
	
	%Rounded Rect [id:dp526249230713363] 
	\draw   (290,284) .. controls (290,276.27) and (296.27,270) .. (304,270) -- (386,270) .. controls (393.73,270) and (400,276.27) .. (400,284) -- (400,326) .. controls (400,333.73) and (393.73,340) .. (386,340) -- (304,340) .. controls (296.27,340) and (290,333.73) .. (290,326) -- cycle ;
	
	%Straight Lines [id:da29306076816705984] 
	\draw    (119.26,171.86) -- (80.74,268.14) ;
	\draw [shift={(80,270)}, rotate = 291.8] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
	\draw [shift={(120,170)}, rotate = 111.8] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
	%Straight Lines [id:da8017196034659522] 
	\draw    (141.25,171.56) -- (218.75,268.44) ;
	\draw [shift={(220,270)}, rotate = 231.34] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
	\draw [shift={(140,170)}, rotate = 51.34] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
	%Straight Lines [id:da776391290987219] 
	\draw    (171.72,171.01) -- (338.28,268.99) ;
	\draw [shift={(340,270)}, rotate = 210.47] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
	\draw [shift={(170,170)}, rotate = 30.47] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.75]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
	
	% Text Node
	\draw (145,125) node  [align=left] {Distribution of\\ images};
	% Text Node
	\draw (284,101) node  [align=left] {Select an image};
	% Text Node
	\draw (286,141) node  [align=left] {Show found image};
	% Text Node
	\draw (86.5,307) node  [align=left] {Client 1:\\process 200k\\images};
	% Text Node
	\draw (216.5,307) node  [align=left] {Client 2:\\process 200k\\images};
	% Text Node
	\draw (346.5,307) node  [align=left] {Client 3:\\process 200k\\images};
	
	
	\end{tikzpicture}
	
	
\end{latin}